microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Delete a session file
DELETE
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files
Deletes the specified file or directory from the session sandbox.
When recursive is false, deleting a non-empty directory returns 409 Conflict.
Pfadparameter
agent_name
string
Erforderlich
The name of the agent.
agent_session_id
string
Erforderlich
The session ID.
Abfrageparameter
path
string
Erforderlich
The file or directory path to delete, relative to the session home directory.
recursive
boolean
Whether to recursively delete directory contents. The service defaults to false if a value is not specified by the caller.
api-version
string
Erforderlich
The API version to use for this operation.
Antworten
There is no content to send for this request, but the headers may be useful.
Anfordern
DELETE /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files HTTP/1.1
Antwort
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json